﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace DataPointSelectionModifier
{
  public static class PointExtension
  {
    /// <summary>
    /// Creates rectangle from point with given Size. Point is in center of rectangle
    /// </summary>
    /// <param name="point"></param>
    /// <param name="rectSize"></param>
    /// <returns></returns>
    public static Rect ToRectCenter(this Point point, Size rectSize)
    {
      return new Rect(
        new Point(point.X - rectSize.Width / 2, point.Y - rectSize.Height / 2),
        new Point(point.X + rectSize.Width / 2, point.Y + rectSize.Height / 2)
      );
    }

    /// <summary>
    /// Creates square from point with given width of the side of the square. Point is in center of square
    /// </summary>
    /// <param name="point"></param>
    /// <param name="squareWidth"></param>
    /// <returns></returns>
    public static Rect ToRectCenter(this Point point, double squareWidth)
    {
      return point.ToRectCenter(new Size(squareWidth, squareWidth));
    }
  }
}
