﻿using SciChart.Charting3D.Model;
using SciChart.Drawing.Utility;
using System.Windows;
using System.Windows.Media;

namespace DataPointSelectionModifier
{
    internal class PointMetadata3DEx: PointMetadata3D
    {
      public PointMetadata3DEx(Color? vertexColor = null, float pointScale = 1f, bool isSelected = false, object tag = null)
        :base(vertexColor, pointScale, isSelected, tag)
      {

      }

      public Point ScreenPoint { get; set; }
      public string ScreenPointString => $"[{ScreenPoint.X};{ScreenPoint.Y}]-distance to mouse point: {Distance}";
      public Point LastMousePoint { get; set; }
      public string LastMousePointString => $"[{(int)LastMousePoint.X};{(int)LastMousePoint.Y}]";
      public Point MousePointTranslated { get; set; }
      public string MousePointTranslatedString => $"[{(int)LastMousePoint.X};{(int)LastMousePoint.Y}]";
      public string Distance => $"{(int)PointUtil.Distance(ScreenPoint, MousePointTranslated)}";
      
      public bool IsInScene { get; set; }
      

    }
}
